package pep;

/**This class defines the operations of Identity nodes.*/
public class Identity extends Node{
 /**Total amount of input*/
 public static double[] totInput = new double[Main.numSubjects];

 /**Creates a new Identity node.
  * @param subject Subject number used for static variable array.*/
 public Identity(int subject){
  super(subject);
  threshold = .3;
 }

 /**Updates activation for each cycle and seraches responses.
  * @param stimNum Stumulus number.*/
 public void activate(int stimNum){
  input = range(input-((totInput[subj]-input)*.05)); //5% interference
  update();
  if(activation>threshold){
   double output = (activation-threshold)*java.lang.Math.random()*5;
   Main.runs[subj].responses[stimNum].input += output;
  }
 }

 /**Clears total input for next cycle.
  * @param subject Subject number used for static variable array.*/
 public static void clear(int subject){
  totInput[subject] = 0;
 }
}