package pep;

/**This Node subclass defines the operations of Response nodes.*/
public class Response extends Node{
 /**Amount of activation retrieved*/ public double retrieved;
 /**Total amount memory retrieved*/
 public static double[] totRetrieved = new double[Main.numSubjects];

 /**Creates a new Response node.
  * @param subject Subject number used for static variable array.*/
 public Response(int subject){
  super(subject);
  threshold = .45;
  retrieved = 0;
 }

 /**Updates response activation.*/
 @Override
 public void activate(){
  retrieve();
  update();
 }

 /**Adds retrieved activation to input.*/
 private void retrieve(){
  if(totRetrieved[subj]>0){
   double ret = retrieved;
   ret -= ((totRetrieved[subj]-retrieved)/(RunTime.nResponses-1));
   if(totRetrieved[subj]>1) ret /= totRetrieved[subj];
   ret -= .1;
   input += range(ret,.01);
   retrieved = 0;
  }
 }

 /**Clears totRetrieved for the next cycle.
  * @param subject Subject number used for static variable array.*/
 public static void clear(int subject){
  totRetrieved[subject] = 0;
 }
}